///////////////////////////////////////////////////////////////////////////////////////////////////
// lit_sphere.frag - Fragment shader for lit sphere lighting
//                   Compiles to 2 TEX and 3 ALU (mul+mul+mad)
//                   Simon Jacoby / King.com / 2012-11-26 
///////////////////////////////////////////////////////////////////////////////////////////////////



precision lowp float;



// Constants (TODO: turn into uniforms)
///////////////////////////////////////////////////////////////////////////////////////////////////
const float g_diff_mult = 1.087;    // Tweaked by Robin in Maya



// Uniforms
///////////////////////////////////////////////////////////////////////////////////////////////////
uniform sampler2D u_texture;
uniform sampler2D u_texture1;



// Varying
///////////////////////////////////////////////////////////////////////////////////////////////////
varying vec2 v_texCoord0;
varying vec2 v_texCoord1;
varying vec4 v_color;



// Shader
///////////////////////////////////////////////////////////////////////////////////////////////////
void main()
{    
    // Read textures
    vec4 vAlbedo = texture2D( u_texture, v_texCoord0 );
    vec4 vLight = texture2D( u_texture1, v_texCoord1 );

    // Compute lighting
    gl_FragColor = vAlbedo * vLight * g_diff_mult;  // Diffuse (albedo)
    gl_FragColor += vLight.aaaa * v_color;          // Add (Spec/Rim/etc)
}

